<form name="memoform" method="post" onSubmit="return memodel(this)">
<input type="hidden" name="mode" value="deleteall">
<input type="hidden" name="kind" value="<?=$kind?>">
<? ob_start(); ?>
<div id="div-buttons-box">
<?	if($kind == "recv") : ?>
		<input type="submit" value="삭제" class="inp-bttn1">
<?	elseif($kind == "send") : ?>
		<input type="submit" value="발송취소" class="inp-bttn1" onClick="alert('발송취소하면 받는 사람의 쪽지함에서 쪽지가 삭제 됩니다. '); submit();">
<?	elseif($kind == "save") : ?>
		<input type="submit" value="삭제" class="inp-bttn1">
<? endif; ?>
</div>
<? $buttons		= ob_get_contents();
    ob_end_flush(); 
?>

<? for ($i=0; $i<count($list); $i++) : ?>
<ul class="ul-list-record">
	<li class="li-title1-w"><input type="checkbox" name="memolist[]" value="<?=$list[$i][me_id]?>" onClick="check_chkall(this, this.form)" <?=$memochkbox[$i]?>></li>
    <li class="li-title2-w">
		<span class="mb_nick"><?=$list[$i][mb_nick]?></span><span class="send_d"><?=date("m.d H:i", strtotime($list[$i][send_datetime]))?></span><span class="read_d"><?=$list[$i][read_date]?></span><br>
		<a href="<?=$list[$i][view_href]?>"><span class="summary"><?=cut_str($list[$i][memo_summary], 160, "")?></span></a>
	</li>
</ul>
<? endfor; ?>
<? if ($i==0) { echo "<div class='no_memo'>쪽지가 없습니다.</div>"; } ?>
<?=$buttons?>
</form>
<?=$memo_pages?>

<!-- ↓ 수정 X -->
<script language="javascript">
function memodel(f) {
	var sw	= false;

	for(i = 0; i < f.length; i++) {
		if(document.getElementsByName("memolist[]")[i] && document.getElementsByName("memolist[]")[i].checked) {
			sw	= true;
		}
	}

	if(!sw) {
		alert("삭제할 쪽지를 선택 해 주세요.");
		return false;
	}

	if(confirm("선택한 쪽지를 삭제합니다."))	f.action	= "./memo_delete.php"
	else	return false;
}

function check_all(f) {
	for(i = 0; i < f.length; i++) {
		if(f.chkall.checked)	try{ document.getElementsByName("memolist[]")[i].checked = true; }catch(e) {}
		else					try{ document.getElementsByName("memolist[]")[i].checked = false; }catch(e) {}
	}
}

function check_chkall(th, f) {
	var sw	= true;

	for(i = 0; i < f.length; i++) {
		if(document.getElementsByName("memolist[]")[i] && !document.getElementsByName("memolist[]")[i].checked) {
			sw	= false;
		}
	}

	if(sw)	f.chkall.checked	= true;
	else	f.chkall.checked	= false;
	
}

function id_refusal(id) {
	var myid	= "<?=$member[mb_id]?>";

	if(!id) { alert("차단 할 아이디가 없습니다."); return false; }
	if(id == myid) { alert("본인을 차단 할 수 없습니다."); return false; }

	if(!confirm("차단 될 회원 : "+id+" \n차단 된 회원이 발송 한 쪽지는 무시 됩니다.")) return false;

	zm_gourl("./zm.memo_update.php?mode=refusal&id="+id+"&kind=<?=$kind?>");
}
</script>